CMS 2002 SP1 A : Installation - Getting "SQL-DMO (from SQL SP2) or above (required by MCMS Server) not installed" error

Problem: When you install CMS-2002 SP1a and the SQL Server installed in a remote machine, you will get the prerequisites not installed for “SQL-DMO (from SQL SP2) or above (required by MCMS Server)”.  

Root Cause: The VS developer components for CMS 2002 SP1a require the SQL-DMO components.

Resolution: Create setup project for SQL DMO components as per the following KB article and run the setup in the CMS-2002 server machine.

How to distribute and how to install SQL-DMO for SQL Server 2000 http://support.microsoft.com/?id=326613